﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Xml.Linq;

namespace xamInputsDemo
{
    public class Person
    {
        public string Name { get; set; }
        public DateTime BirthDay { get; set; }
    }
    public partial class xamInputsinxamGrid : UserControl
    { 
        public xamInputsinxamGrid()
        {
            InitializeComponent();
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            
            XDocument doc = XDocument.Load("xmlData.xml");
            var datasource = (from d in doc.Descendants("seller")
                              select new Person
                              {
                                  Name = d.Element("name").Value,
                                  BirthDay = DateTime.Parse(d.Element("birthday").Value)
                                  
                              });

            this.xamGrid.ItemsSource = datasource.ToList();

        }

    }
}
